3.65 games on enso?

Discussion in 'PS Vita - Hacking & Homebrew' started by xtreme1, Oct 7, 2017.

  1. xtreme1
    OP

    xtreme1 GBAtemp Advanced Fan

    Member
    534
    38
    Nov 14, 2008
    United States
    I've been out for a while but managed to get my undertale copy today, only to find it on 3.65. With the new noDRM engine and other advances, is a mai dump still the best option for playing retail 3.65 cards without cart?
     
  2. sudeki300

    sudeki300 GBAtemp Advanced Fan

    Member
    565
    98
    Nov 20, 2004
    can't be done
     
  3. 8BitWonder

    8BitWonder Small Homebrew Dev

    Member
    877
    679
    Jan 23, 2016
    United States
    47 4F 54 20 45 45 4D
    You can't play 3.61+ games on enso.
     
  4. THEELEMENTKH

    THEELEMENTKH Don't mind me

    Member
    1,155
    752
    May 31, 2016
    Spain
    Hell
    You won't be able to play >3.61 games unless:
    a)You update to 3.61 or higher and lose henkaku
    b)The devs find a way to play 3.61+ games
    c)Someone finds an exploit for FWs higher than 3.60 (which gives me the feel that that will happen in 20 years)
     
  5. sudeki300

    sudeki300 GBAtemp Advanced Fan

    Member
    565
    98
    Nov 20, 2004
    the only game was Ys as it was a Jap realease before 3.61, so with the nonpdrm dump someone took the US text files and put them in the earlier release so it worked on enso.
     
  6. xtreme1
    OP

    xtreme1 GBAtemp Advanced Fan

    Member
    534
    38
    Nov 14, 2008
    United States
    But since it's on PSN so it could be bought and NoNpDrm could remove it?
     
  7. sudeki300

    sudeki300 GBAtemp Advanced Fan

    Member
    565
    98
    Nov 20, 2004

    does not matter it will not run on a device lower than 3.65, not even nonpdrm dumps can do that yet only game 3.60 and lower.
     
    GIZMOSNAX and xtreme1 like this.
  8. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,560
    1,698
    Feb 13, 2015
    Italy
    Imola
    Pretty much, although options B and C partially depend on each other

    To dump a titlekey with NoNpDRM, you must first run the game on a console with that plugin, so...
     
  9. THEELEMENTKH

    THEELEMENTKH Don't mind me

    Member
    1,155
    752
    May 31, 2016
    Spain
    Hell
    Yeah I know.
    I wish there was discovered some exploit on 3.65, that way every Vita/PS TV user could enjoy all the benefits of Henkaku and all the entire vita catalog
     
  10. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,560
    1,698
    Feb 13, 2015
    Italy
    Imola
    Yeah, but then there would be 3.66...
     
    THEELEMENTKH likes this.
  11. Rikua

    Rikua Advanced Member

    Newcomer
    53
    18
    Dec 2, 2014
    United States
    Do yourself a favor, buy a PS TV. Not sure if Undertale is compatible, however, it is the cheapest option available to you. One day the damn thing will be cracked 100% lol
     
  12. Riku

    Riku GBAtemp Regular

    Member
    287
    543
    May 3, 2009
    United States
    Some 3.60+ games are signed with <3.60 keysets. The only thing stopping from launching them is value in Control Information area of eboot.bin (type 4, last 4 bytes). Same thing for PS3, patching FW version value in Control Information block allows launching games on lower firmware. For Vita it should be possible to hook to the function which reads and returns this value using kernel plugin.
     
    Subtle Demise likes this.
  13. VitaType

    VitaType GBAtemp Advanced Fan

    Member
    770
    345
    Jul 16, 2016
    Germany
    The very same happend with Steins;Gate 0 the sequal to Steins;Gate
     
  14. SKGleba

    SKGleba O ja pierdole!

    Member
    299
    149
    Nov 11, 2016
    Poland
    Warsaw
    enso works on 3.65
     
  15. Barawer

    Barawer GBAtemp Regular

    Member
    194
    65
    Jan 3, 2016
    Iceland
    Henkaku only works on 3.60, and since enso is henkaku, it only works on 3.60
     
  16. THEELEMENTKH

    THEELEMENTKH Don't mind me

    Member
    1,155
    752
    May 31, 2016
    Spain
    Hell
    Henkaku only works in 3.60, and enso is henkaku on boot, so it doesn't work past 3.60
     
  17. SKGleba

    SKGleba O ja pierdole!

    Member
    299
    149
    Nov 11, 2016
    Poland
    Warsaw
    Enso is not henkaku, enso exploit basically allows u to load psp2config from a txt file and allows to run fselfs (i can describe whole level of patches but why?) .
    If u dont trust me, ask yifan
     
  18. dimmidice

    dimmidice GBAtemp Addict

    Member
    2,024
    1,421
    Sep 12, 2009
    Belgium
    Does this work with firmware 3.61/3.63/3.65? No.

    https://enso.henkaku.xyz/

    I think you mean that in theory enso (without the henkaku bit) could work in 3.65. But it doesn't in reality. Don't spread half baked information like that. It'll only confuse people.
     
    Last edited by dimmidice, Oct 8, 2017
  19. SKGleba

    SKGleba O ja pierdole!

    Member
    299
    149
    Nov 11, 2016
    Poland
    Warsaw
    ofc i may be wrong, and yeah, u need a exploit to install enso, but i only said it works
    ask @yifan_lu ,im pretty sure its possible
    and i asked yifan few days ago
    download78e794c7_femulated_2f0_2fPictures_2fScreenshots_2f2017_10_08_12.20.50.png
     
    Last edited by SKGleba, Oct 8, 2017
  20. dimmidice

    dimmidice GBAtemp Addict

    Member
    2,024
    1,421
    Sep 12, 2009
    Belgium
    Edit: Just saw the exploit bit. Well that's obvious. But enso does not work on 3.65 atm because there is no exploit for 3.65. That's what i said in my first post even. In theory it's possible, in reality it isn't. Posts like the one you're making are just confusing people.
     
    Last edited by dimmidice, Oct 8, 2017